DrawingAttributesPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class DrawingAttributesPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
              com.bbn.openmap.omGraphics.DrawingAttributesPropertyEditor

All Implemented Interfaces:
  PropertyConsumer, java.beans.PropertyEditor

    public class DrawingAttributesPropertyEditor

extends PropertyConsumerPropertyEditor

A PropertyEditor for a set of DrawingAttributes properties, providing the standard DrawingAttributes GUI for property configuration.

Field Summary
`protected DrawingAttributes` | `drawingAttributes`

Fields inherited from class com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
`propertyPrefix`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`DrawingAttributesPropertyEditor()`

Method Summary
`void` | `focusGained(java.awt.event.FocusEvent e)`
`void` | `focusLost(java.awt.event.FocusEvent e)`
`java.lang.String` | `getAsText()`
`java.awt.Component` | `getCustomEditor()` Returns the editor GUI.
`DrawingAttributes` | `getDrawingAttributes()`
`java.util.Properties` | `getProperties(java.util.Properties props)` PropertyConsumer method.
`void` | `setCustomEditor(java.awt.Component comp)`
`void` | `setDrawingAttributes(DrawingAttributes drawingAttributes)`
`void` | `setProperties(java.lang.String prefix, java.util.Properties props)` Method to set the properties in the PropertyConsumer.
`boolean` | `supportsCustomEditor()`

Methods inherited from class com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
`getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### drawingAttributes

    protected DrawingAttributes drawingAttributes

Constructor Detail

### DrawingAttributesPropertyEditor

    public DrawingAttributesPropertyEditor()

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`

### setCustomEditor

    public void setCustomEditor(java.awt.Component comp)

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns the editor GUI.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`

### getDrawingAttributes

    public DrawingAttributes getDrawingAttributes()

### setDrawingAttributes

    public void setDrawingAttributes(DrawingAttributes drawingAttributes)

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

### getAsText

    public java.lang.String getAsText()

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### setProperties

    public void setProperties(java.lang.String prefix,
                              java.util.Properties props)

  Description copied from interface: `PropertyConsumer`
  Method to set the properties in the PropertyConsumer. The prefix is a string that should be prepended to each property key (in addition to a separating '.') in order for the PropertyConsumer to uniquely identify properties meant for it, in the midst of of Properties meant for several objects.

  Specified by:
    `setProperties` in interface `PropertyConsumer`
  Overrides:
    `setProperties` in class `PropertyConsumerPropertyEditor`
  Parameters:
    `prefix` - the token to prefix the property names
    `props` - the `Properties` object

### getProperties

    public java.util.Properties getProperties(java.util.Properties props)

  Description copied from class: `PropertyConsumerPropertyEditor`
  PropertyConsumer method.

  Specified by:
    `getProperties` in interface `PropertyConsumer`
  Overrides:
    `getProperties` in class `PropertyConsumerPropertyEditor`
  Parameters:
    `props` - a Properties object to load the PropertyConsumer properties into. If props equals null, then a new Properties object should be created.
  Returns:
    Properties object containing PropertyConsumer property values. If getList was not null, this should equal getList. Otherwise, it should be the Properties object created by the PropertyConsumer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details